<!-- This is a generated file. Please do not edit directly -->

# Maintainers

This file lists how the Chef project is maintained. When making changes to the system, this
file tells you who needs to review your patch - you need a simple majority of maintainers
for the relevant subsystems to provide a :+1: on your pull request. Additionally, you need
to not receive a veto from a Lieutenant or the Project Lead.

Check out [How Chef is Maintained](https://github.com/opscode/chef-rfc/blob/master/rfc030-maintenance-policy.md#how-the-project-is-maintained) for details on the process, how to become
a maintainer, lieutenant, or the project lead.

# Project Lead

* [Adam Jacob](https://github.com/adamhjk)

## Components

## Chef Core

Handles the core parts of the Chef DSL, base resource and provider
infrastructure, the Chef applications and [omnibus-chef](https://github.com/chef/omnibus-chef). Includes anything not covered by
another component.

To mention the team, use @chef/client-core

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Bryan McLellan](https://github.com/btm)
* [Noah Kantrowitz](https://github.com/coderanger)
* [Daniel DeLeo](https://github.com/danielsdeleo)
* [AJ Christensen](https://github.com/fujin)
* [Phil Dibowitz](https://github.com/jaymzh)
* [Jay Mundrawala](https://github.com/jaym)
* [Jon Cowie](https://github.com/jonlives)
* [Lamont Granquist](https://github.com/lamont-granquist)
* [Claire McQuin](https://github.com/mcquin)
* [Steven Murawski](https://github.com/smurawski)
* [Tyler Ball](https://github.com/tyler-ball)
* [Ranjib Dey](https://github.com/ranjib)
* [Matt Wrock](https://github.com/mwrock)

## Dev Tools

Chef Zero, Knife, Chef Apply and Chef Shell.
To mention the team, use @chef/client-dev-tools

### Maintainers

* [Daniel DeLeo](https://github.com/danielsdeleo)
* [Joshua Timberman](https://github.com/jtimberman)
* [Lamont Granquist](https://github.com/lamont-granquist)
* [Steven Danna](https://github.com/stevendanna)

## Test Tools

ChefSpec
To mention the team, use @chef/client-test-tools

### Lieutenant

* [Seth Vargo](https://github.com/sethvargo)

### Maintainers

* [Joshua Timberman](https://github.com/jtimberman)
* [Lamont Granquist](https://github.com/lamont-granquist)
* [Ranjib Dey](https://github.com/ranjib)

## Platform Specific Components

The specific components of Chef related to a given platform - including (but not limited to) resources, providers, and the core DSL.

## Enterprise Linux

To mention the team, use @chef/client-enterprise-linux

### Lieutenant

* [Jon Cowie](https://github.com/jonlives)

### Maintainers

* [Phil Dibowitz](https://github.com/jaymzh)
* [Lamont Granquist](https://github.com/lamont-granquist)

## Ubuntu

To mention the team, use @chef/client-ubuntu

### Lieutenant

* [Ranjib Dey](https://github.com/ranjib)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Thom May](https://github.com/thommay)

## Windows

To mention the team, use @chef/client-windows

### Lieutenant

* [Bryan McLellan](https://github.com/btm)

### Maintainers

* [Jay Mundrawala](https://github.com/jaym)
* [Kartik Cating-Subramanian](https://github.com/ksubrama)
* [Steven Murawski](https://github.com/smurawski)
* [Salim Alam](https://github.com/chefsalim)
* [Matt Wrock](https://github.com/mwrock)

## Solaris

To mention the team, use @chef/client-solaris

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## AIX

To mention the team, use @chef/client-aix

### Lieutenant

* [Lamont Granquist](https://github.com/lamont-granquist)

## Mac OS X

To mention the team, use @chef/client-os-x

### Lieutenant

* [Joshua Timberman](https://github.com/jtimberman)

### Maintainers

* [Tyler Ball](https://github.com/tyler-ball)

## Debian

To mention the team, use @chef/client-debian

### Lieutenant

* [Thom May](https://github.com/thommay)

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## Fedora

To mention the team, use @chef/client-fedora

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## openSUSE

To mention the team, use @chef/client-opensuse

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## SUSE Enterprise Linux Server

To mention the team, use @chef/client-suse

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## FreeBSD

To mention the team, use @chef/client-freebsd

### Lieutenant

* [Aaron Kalin](https://github.com/martinisoft)

### Maintainers

* [Cory Stephenson](https://github.com/Aevin1387)
* [David Aronsohn](https://github.com/tbunnyman)

## OpenBSD

To mention the team, use @chef/client-openbsd

### Lieutenant

* [Joe Miller](https://github.com/joemiller)

## Gentoo

To mention the team, use @chef/client-gentoo

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)

## OmniOS

To mention the team, use @chef/client-omnios

### Maintainers

* [Thom May](https://github.com/thommay)

## ArchLinux

To mention the team, use @chef/client-archlinux

### Maintainers

* [Lamont Granquist](https://github.com/lamont-granquist)
* [Ryan Cragun](https://github.com/ryancragun)

